import 'package:get/get.dart';
import 'package:traderscircuit/Utils/Common/noInternet.dart';
import 'package:traderscircuit/resources/routes/route_name.dart';
import 'package:traderscircuit/view/MainScreen/ExploreUnseen.dart';
import 'package:traderscircuit/view/MainScreen/HomeScreen.dart';
import 'package:traderscircuit/view/MainScreen/MainScreen.dart';
import 'package:traderscircuit/view/MainScreen/Notification.dart';
import 'package:traderscircuit/view/MainScreen/ShortTrade.dart';
import 'package:traderscircuit/view/Sidemenu/Sidemenu.dart';
import 'package:traderscircuit/view/login/LoginScreen.dart';
import 'package:traderscircuit/view/login/VerifyOtp.dart';
import 'package:traderscircuit/view/onBoarding/splashScreen.dart';
import 'package:traderscircuit/view/onBoarding/splashScreen1.dart';
import 'package:traderscircuit/view/onBoarding/splashScreen2.dart';
import 'package:traderscircuit/view/onBoarding/splashScreen3.dart';
import 'package:traderscircuit/view/secureAccess.dart/Faceid.dart';
import 'package:traderscircuit/view/secureAccess.dart/Fingerprint.dart';
import 'package:traderscircuit/view/secureAccess.dart/Pin.dart';
import 'package:traderscircuit/view/secureAccess.dart/SecureAccess.dart';

class AppRoutes {
  static appRoutes() => [
        GetPage(
          name: RouteName.splashScreen,
          page: () => const SplashScreen(),
        ),
        GetPage(
          name: RouteName.nointernet,
          page: () => const NoInternet(),
        ),

        //slidescreen
        GetPage(
          name: RouteName.sliderscreen1,
          page: () => const Sliderscreen1(),
        ),
        GetPage(
          name: RouteName.sliderscreen2,
          page: () => const Sliderscreen2(),
        ),
        GetPage(
          name: RouteName.sliderscreen3,
          page: () => const Sliderscreen3(),
        ),

        //login/signup
        GetPage(
          name: RouteName.loginscreen,
          page: () => const LoginScreen(),
        ),
        GetPage(
          name: RouteName.homescreen,
          page: () => const HomeScreen(),
        ),
        GetPage(
          name: RouteName.sidemenu,
          page: () => const SideMenu(),
        ),
        GetPage(
          name: RouteName.mainscreen,
          page: () => const MainScreen(),
        ),
        GetPage(
          name: RouteName.shortTrade,
          page: () => const ShortTrade(),
        ),
        GetPage(
          name: RouteName.verifyotp,
          page: () => const VerifyOTP(),
        ),

        //secureaccess
        GetPage(
          name: RouteName.secureaccess,
          page: () => const SecureAccess(),
        ),
        GetPage(
          name: RouteName.faceid,
          page: () => const Faceid(),
        ),
        GetPage(
          name: RouteName.fingerprint,
          page: () => const Fingerprint(),
        ),
        GetPage(
          name: RouteName.pin,
          page: () => const Pin(),
        ),
        GetPage(
          name: RouteName.notification,
          page: () => const NotificationScreen(),
        ),
        GetPage(
          name: RouteName.exploreUnseen,
          page: () => const ExploreUnseen(),
        ),
      ];
}
